                      CHANGES TO THE MANUAL
              Version 1.a3 (release date 1/12/1990)
These  are arranged per page in the manual that have  changes  to 
them, and may be printed and pasted if so wished.

Additional reminder:  If,  in the next 8 weeks, you come across a 
virus,   which  Supermon  will  warn  you  about,  but  does  not 
specifically recognise as such,  please DO NOT DESTROY,  but send 
it to me.  I will return your disk. This allows me to continually 
upgrade Supermons capabilities in this field.

PLEASE  NOTE:  Due to people not reading the  manual,  some  have 
destroyed  VALID  boot sectors  on  powering  up.  Therefore,  if 
Supermon finds an UNKNOWN boot sector on power up, it will give a 
warning, but NO LONGER give the option to destroy at that point!

                      Page 4 Virus checker
If  Supermon  does  not  recognise  the  boot  sector  as  either 
legitimate or a definite virus,  it will tell you.  Due to people 
wiping  LEGITIMATE boot sectors without checking at  this  stage, 
you  no longer have the option at this point to "kill"  the  boot 
sector. You may now do so only from the Virus checker (see "NEW")

                       Page 5 Par 3 line 2
Low  resolution is now the default if no DESKTOP.INF  was  saved, 
which is the normal state.

                             Page 6
All  references to SUPERMON.ACC and EDITMON.PRG in this  and  any 
other pages should now read: 
SUPER103.ACC and EDIT_103.PRG. This will keep versions seperate.
                           Near bottom
Ramdisk  opened  within a program will NOT be released  if  reset 
proof!
PLEASE NOTE:  Ramdisk can maximum be 1.4 Meg (1400K) as otherwise 
the  FATs  are  insufficient.  It  does not seem  so  much  of  a 
limitation that special provisions seem warranted.


                             Page 7
Delete function: WRITE VERIFY
Add in functions: VIRUS CHECK and EXTENDED FUNCTIONS.
VIRUS  CHECK  monitors disk access vectors and  sounds  alarm  if 
changed. (Inverse screen and rapid ringing).
Extended  functions are the disk parameter display and the  mouse 
X/Y position display.
                            Last par.
Most functions, when selected will return to desktop, NOT access.

                       Page 8 Ramdisk size
If  the  ramdisk was made reset proof,  it may be closed  and  re 
opened at a different size,  losing what is in it,  but the  size 
cannot be changed directly.
ADDITIONAL FEATURES:
Mouse speed. Allows 1 (normal), 2(2*speed) and 3(4*times speed).
Virus checker. See the file "NEW"
Disk Guard: See the file "NEW"
Screen saver: See file "NEW"
Drive B Steprate: see file "NEW"

Print Spooler:
This  can now be preset from the Editor to 16,  32 or  64K.  When 
cancelled, this memory will most likely NOT be able to be used by 
the system.  If the spooler is opened from WITHIN a  program,  it 
will also be released when quitting that program,  just like  the 
non reset proof ramdisk.  SPOOLER SHOULD NOT BE USED with Desktop 
Publishing programs or such things as First Word Plus,  which has 
its own spooler.

                             Page 9
Delete last paragraph, relating to Write Verify.


                             Page 10
Under  Screen layout and control function:  References  here  and 
elsewhere about the program PC are ALWAYS the Atari  symbol.  The 
asterisk (*) now only appears after a crash (bomb) and will be at 
the  currently  running programs start!  This is  sometimes  very 
useful, as the start of a program can be hard to find!


                    Page 12 2nd last section
Supermon  DOES allow a low resolution display now,  but  this  is 
purely  to show how,  where and why a program crashed.  The  best 
option at this point is to make a note of important items,  press 
Shift/F10  or reset,  and run Supermon in  medium  res.  Changing 
displays etc. in low res will just result in a mess.


                        Page 18 last par.
Resolution is shown as screen pixels (e.g 640 * 200).


                             Page 21
Under ADDRESS:  once again, there is only 1 Program Counter (PC), 
indicated  by the Atari symbol.  The asterisk (if there)  denotes 
the START address of the program which crashed.
This  applies  also to STEP,  TRACE and  68020  functions,  which 
operate from this location!!


                             Page 23
Delete  last  lines.  There  is now a close  box,  to  return  to 
desktop. If any buffers are open, will ask for confirmation.



                             Page 24
DRIVE:  When  entering Supermon,  the selected drive will be  the 
currently active one,  except after a crash, when it will be "A". 
If no drives exist, it will be "greyed out"


                        Page 26 half way
Delete  the  lines  BOTH RENAME AND RESTORE ARE  FOR  THE  FLOPPY 
DRIVES  ONLY!!  These functions are now valid for hard drives  as 
well!!!

                          HIDE/UNHIDE:
This is now called Attributes and brings up a file selector  box, 
and,  once  a  file has been selected,  displays a box  with  the 
options:
                            READ ONLY
                             HIDDEN
                             SYSTEM
The current Attributes will be high lighted.  To  change,  simply 
click on the option. Cancel will simply exit, OK will rewrite the 
changes to the directory.


                    Page 27/28, THE FORMATTER
Radical  changes  here.  The Supermon formatter  has  now  become 
the worlds most intelligent and comprehensive formatter.  
The  "Go  IBM  menu" box now says "IBM  FORMAT",  and  no  longer 
selects a seperate menu.  Instead,  it will give the diskette  an 
IBM compatible boot sector,  and will NOT innoculate it.  It will 
do the number of tracks specified,  but will always default to  a 
nine sector format.
Additionally,   the  options  "Volume  label"  and  "ONLY"   have 
appeared.
Volume label allows you to add a name to the disk when formatting 
or  quick wiping.  If you enter a name (max 11 characters)  here, 
and  then select either FORMAT or Quick wipe,  the name  will  be 
written to the disk after the function completes.
If  you  enter a name and then high light (click on)  the  "ONLY" 
option,  ONLY a volume label will be given to the  disk,  nothing 
will be destroyed!
Please note that IF there is a volume label already, this may NOT 
necessarily be deleted.  As Supermon uses a system (GemDOS)  call 
for  this  function,  it relies on GemDOS to do  this  correctly, 
which is not always true.
NINE  or  TEN sectors per track is now  the  choice.  BOTH  these 
options are the fast so called "twister" format, speeding up disk 
reads greatly.
When formatting,  Supermon will detect unusable sectors and  then 
mark them off in the disk FAT.  This allows the rest of the  disk 
to be used normally. Alt/Left shift aborts both formatting and/or 
bad sector marking.
Supermon ALWAYS does bad sector marking during formatting,as part 
of its verify routine. You will notice that the filler bar at the 
bottom fills quite rapidly,  then the busy bee re appears,  while 
the  drive continues going.  At this time Supermon both  verifies 
the format and marks off any bad sectors in the FATs.
This means that really impatient people can press  Alternate/Left 
shift at this time,  to abort this function and have a very  fast 
(but un verfied) format.
DO  NOT  quick wipe an IBM format  disk,  unless  formatted  with 
Supermon,  as  Supermon will innoculate it,  destroying  the  IBM 
information.
You may note that if you have NOT changed the diskette since last 
access,  Supermon will provide an extra warning, for you to check 
that it IS the right disk you are formatting.
ON  TOP OF THAT,  Supermon starts formatting from the END of  the 
disk,  which means that if you stll made a boo boo, you can press 
Alternate/Left shift to abort, and ONLY the formatted tracks will 
be lost, ALL other information is still there. 
If  the disk is write protected,  you will get a message to  that 
effect TWICE, then Supermon will abort.
And  to top it all,  Supermon will tell you if you try to  format 
more tracks than your drive (or the disk) can handle,  as well as 
indicating  that the disk is unusable if any bad  sectors  occurr 
within  the first 20 sectors,  which are used by the  system  for 
vital information.
When  returning  to the formatter for  the  next  disk,  defaults 
remain as set up.


                             Page 29
There are now several ways to quit Supermon.  All comments  about 
the drop down menu option "Quit" remain as is, additionally:
Alt/Q will return to desktop, with query if buffers opened.
Closebox will do exactly the same.
Sfift/F10 will quit regardless of buffers or breakpoints etc.  If 
you entered Supermon normally,  that's it.  If you "crashed" into 
Supermon, Shift/F10 will preserve ALL pointers, registers, status 
etc. If you now rerun Supermon, the display will show all these.


                             Page 30
If,  on asking for directory info,  the message "Disk in drive  ? 
etc.  appears,  or Supermon goes into an endless loop (abort with 
Alternate/Left Shift), this is due to hard disk fragmentation and 
FAT  errors.  Use a hard disk repair/scavenge program such as  HD 
Sentry to correct this.

                             Page 31
As  the last line in Boot information,  the boot  sectors  status 
will be displayed, same as in Virus check (see file "NEW")


                             Page 32
Delete line 7, about floppies only.
In READ SECTOR: type in "root" to read drive C partition sector.
type in "park" to actually park the hard disk.
PLEASE NOTE:  You may read the partition sector, but CANNOT write 
to it.  THIS IS NOT THE SAME SECTOR AS THE "BOOT" SECTOR.  If you 
write this to sector zero of drive C (or any other) it is GOODBYE 
information.  If  you want to modify the  partition  sector,  get 
yourself  a hard disk editor!  For hard disk owners,  there is  a 
file  called  HARDDISK.DOC  which explains  the  entries  in  the 
partition sector.


                           Page 39-42
PRINTER:  When printing out in Hex,  an ASCII column will also be 
printed. This saves double printing.
Additionally,  Supermon  will check to see  whether:  either  the 
printer is on line,  OR: there is a spooler. If not, you will get 
an alert box.
RUN  PROGRAM:  This has been modified extensively,  and is now  a 
very,  very useful tool.  Firstly,  after selecting your program, 
you are given the choice to: LOAD + GO or JUST LOAD.
Load and go will do just that,  after asking you for  intercepts. 
Just load will create a basepage,  load the program into  memory, 
and  display from the start of the program.  Please note that  in 
the register area on the left side:
            D0 POINTS AT THE BASEPAGE OF THE PROGRAM
             D1 POINTS AT THE START OF PROGRAM CODE
               D2 POINTS AT START OF THE DATA AREA
               D3 POINTS AT START OF THE BSS AREA
  D4 POINTS AT END OF BSS AREA (usually top of stack when run)
If there is a standard symbol table included with the program, D5 
will point to where Supermon has stored this, which is at the top 
of the TPA.  If a symbol table is present,  Supermon will display 
all labels.  To display without labels,  double click "into"  and 
"out of" the buffer. Labels are substituted for all addresses and 
values in the code, and are given in front of the code where this 
is correct. This may obscure some of the hex display code.
If you now return to Run program option, you will be asked if you 
wish to RUN,  CANCEL or WIPE. Run will produce the intercept box, 
and  become  identical to Load and Go from  here  on.  WIPE  will 
release  the  memory reserved (the entire largest block  of  free 
memory, usually ALL memory) BUT WILL NOT WIPE THE CODE.
RUN  and LOAD AND GO:  The intercept box has been changed a  bit. 
You  still have the option to intercept any or all of the  system 
calls,  but  additionally  the same box allows you to  enter  the 
number  of calls to allow through,  and asks whether you wish  to 
terminate normally, or stay resident.
Terminate normally means that when the program finishes  running, 
it will terminate by releasing memory and return to Supermon.
Stay resident means Supermon prevents the program from  releasing 
this memory, and, depending on the program, it may be possible to 
run it again and again (Be careful here). Also, all variables and 
pointers  set  by the program will still be intact,  and  can  be 
examined.  AFTER RUNNING A PROGRAM,  PLEASE COMPLETELY RESET  THE 
COMPUTER (COLD START) BEFORE DOING ANYTHING IMPORTANT!!!


                             Page 44
SEARCH:  This  function  may now be repeated by  pressing  RETURN 
twice.  Please note that when inputting a Hex number ($--------), 
if  you  enter a ODD number of chars.  Supermon will  ignore  the 
LEAST significant one (the last one)


                             Page 50
OPTIONS MENU: Mouse Trap will now first bring up a select box for 
actual  mousetrap ON or OFF (current setting  outlined),  then  a 
select  box for the mouse speed.  Options are 1,2 or 3  with  the 
current choice outlined.  1 is normal, 2 is double speed and 3 is 
quadruple   speed   EXCEPT  in  low  res.   As   mouse   movement 
(horizontally)  in  low res is already twice  as  fast,  Supermon 
automatically steps down 1 gear. Neat.
The  mouse accelerator and mouse trap are totally independent  of 
each other.
CHANGED:  The mousetrap was changed. When pressing the right hand 
button,  the menu above the mouse will drop down,  but the  mouse 
will return to it's position.  This is done so that you need  not 
change the position of your hand on the desk.


                         Page 52 Spooler
When selecting the print spooler, you will now have the option to 
select either a 16K,  32K or a 64K spooler.  This space is reserved 
normally,  and may or may not be available again when  cancelling 
the spooler.

                             Page 53
Set time/alarm:  This has been improved,  so that, if you make no 
change  to the time,  it will not reset it when clicking  on  OK. 
Previously, while setting the alarm, many seconds would pass, and 
the OLD time was passed back to the system.


                             Page 55
Multi task:  All STEPping,  TRACEing etc.  will be done from  the 
Atari symbol location.

                             Page 57
File  move  buffer now recommends the address at which  the  file 
currently resides,  and,  if accepted, will "hide" the file as in 
Hide disk buffer. If you specify another address, make it high up 
in memory,  as that space is NOT reserved and may be overwritten. 
Both  disk  and  file  "Move  buffer"  remember  their   seperate 
addresses for later compares.
This  means you can load a file,  move it,  load others  or  disk 
buffers  as  well,  and  still compare the "top"  file  with  the 
"moved" one.
                             Page 58
Access  by  track and sector:  This function ALWAYS  defaults  to 
drive A, regardless of any currently active or selected drive.
The  move  buffer and compare buffer functions may be  used  with 
this, the Hide and Show may not!


                             Page 59
Save block WILL NOT save ROM directly to disk. Use the MOVE BLOCK 
command to move it to Ram, THEN do save block.
SET PROGRAM PC: This no longer exists, and has been replaced by 2 
new functions:
MARK BAD SECTORS:  This will read the entire disk, any sectors it 
finds faulty,  will be marked as such in the FAT (File Allocation 
Table).  The operating system will not try and use these sectors. 
It is recommended that you use this only on blank disks.
VIRUS CHECK:  Allows rapid scanning of multiple disks. Reports on 
the  disks  status.   Please  see  the  file  "NEW"  for  a  full 
description.

                         Page 60 onward
In these examples,  please keep all changes in mind, particularly 
those  relating to RUN PROGRAM.  I hope you will find  all  these 
changes worthwhile, and wish you much use from Supermon.
                                                      Will Visser


